Robot Simulator of the Robotics Group for Self-Organization of Control: Boxpile Class Reference

# Boxpile Class Reference

Boxpile. More...

`#include <boxpile.h>`

Inherits lpzrobots::AbstractObstacle.

Collaboration diagram for Boxpile:
[legend]

List of all members.

## Public Member Functions
| Boxpile (const OdeHandle &odeHandle, const OsgHandle &osgHandle, const osg::Vec3 &dimension=osg::Vec3(5.0, 5.0, 1.0), int num=30, int seed=1, const osg::Vec3 &boxsizemean=osg::Vec3(1.0, 1.0, 0.2), const osg::Vec3 &boxsizevar=osg::Vec3(0.5, 0.5, 0.1))
| Constructor a random boxpile is fixed to the world.
virtual void | setPose (const osg::Matrix &pose)
| sets position of the obstacle and creates/recreates obstacle if necessary
virtual Primitive * | getMainPrimitive () const
| return the "main" primitive of the obtactle. The meaning of "main" is arbitrary
## Protected Member Functions
virtual void | create ()
| overload this function to create the obstactle. All primitives should go into the list "obst"

## Detailed Description

Boxpile.

## Constructor & Destructor Documentation

Boxpile | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | const osg::Vec3 & | dimension = `osg::Vec3(5.0, 5.0, 1.0)`,
|  | int | num = `30`,
|  | int | seed = `1`,
|  | const osg::Vec3 & | boxsizemean = `osg::Vec3(1.0, 1.0, 0.2)`,
|  | const osg::Vec3 & | boxsizevar = `osg::Vec3(0.5, 0.5, 0.1)` |
| ) |  |  | `[inline]`

Constructor a random boxpile is fixed to the world.

Parameters:

  | dimension | size of pile (height is always 1, use boxsize and boxvar)
  | num | number of boxes
  | seed | seed for random generator (it is fixed to generate deterministic piles)
  | boxsizemean | mean size of boxes
  | boxsizevar | variance of boxes sizes

## Member Function Documentation

virtual void create | ( |  | ) | `[inline, protected, virtual]`

overload this function to create the obstactle. All primitives should go into the list "obst"

Implements AbstractObstacle.

virtual Primitive* getMainPrimitive | ( |  | ) | const`[inline, virtual]`

return the "main" primitive of the obtactle. The meaning of "main" is arbitrary

Implements AbstractObstacle.

virtual void setPose | ( | const osg::Matrix & | pose | ) | `[inline, virtual]`

sets position of the obstacle and creates/recreates obstacle if necessary

Implements AbstractObstacle.

The documentation for this class was generated from the following file:

- boxpile.h